Skip to main content
GET
cURL

Authorizations

Authorization
string
header
default:ShippoToken
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Path Parameters

OrderId
string
required

Object ID of the order

Response

Order

placed_at
string
required

Date and time when the order was placed. This datetime can be different from the datetime of the order object creation on Shippo.

Example:

"2016-09-23T01:28:12Z"

to_address
object
required

Address object of the recipient / buyer. Will be returned expanded by default.

currency
string

Required if total_price is provided

Currency of the total_price and total_tax amounts.

Example:

"USD"

notes
string

Custom buyer- or seller-provided notes about the order.

Example:

"This customer is a VIP"

order_number
string

An alphanumeric identifier for the order used by the seller/buyer. This identifier doesn't need to be unique.

Example:

"#1068"

order_status
enum<string>

Current state of the order. See the orders tutorial for the logic of how the status is handled.

Available options:
UNKNOWN,
AWAITPAY,
PAID,
REFUNDED,
CANCELLED,
PARTIALLY_FULFILLED,
SHIPPED
Example:

"PAID"

shipping_cost
string

Amount paid by the buyer for shipping. This amount can be different from the price the seller will actually pay for shipping.

Example:

"12.83"

shipping_cost_currency
string

Required if shipping_cost is provided

Currency of the shipping_cost amount.

Example:

"USD"

shipping_method
string

Shipping method (carrier + service or other free text description) chosen by the buyer. This value can be different from the shipping method the seller will actually choose.

Example:

"USPS First Class Package"

subtotal_price
string
Example:

"12.1"

total_price
string

Total amount paid by the buyer for this order.

Example:

"24.93"

total_tax
string

Total tax amount paid by the buyer for this order.

Example:

"0.0"

weight
string

Total weight of the order.

Example:

"0.4"

weight_unit
enum<string>

The unit used for weight.

Available options:
g,
kg,
lb,
oz
Example:

"lb"

from_address
object

Address object of the sender / seller. Will be returned expanded by default.

line_items
Line Item · object[]

Array of line item objects representing the items in this order. All objects will be returned expanded by default.

object_id
string

Unique identifier of the order object.

Example:

"adcfdddf8ec64b84ad22772bce3ea37a"

object_owner
string

Username of the user who created the object.

Example:

"shippotle@shippo.com"

shop_app
enum<string>

Platform the order was created on and, if applicable, imported from. Orders created via the Shippo API or dashboard will have the value "Shippo".

Available options:
Amazon,
Bigcommerce,
CSV_Import,
eBay,
ePages,
Etsy,
Godaddy,
Magento,
Shippo,
Shopify,
Spreecommerce,
StripeRelay,
Walmart,
Weebly,
WooCommerce
Example:

"Shippo"

transactions
object[]

Array of transaction objects representing all shipping labels purchased for this order. All objects are returned expanded with a limited number of fields by default.

Last modified on July 16, 2026